GCLOUD_CONTAINER_IMAGES_DELETE(1)

NAME

gcloud container images delete - delete existing images

SYNOPSIS

gcloud container images delete IMAGE_NAME [IMAGE_NAME ...] [--force-delete-tags] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
The container images delete command deletes the specified image from the registry. All associated tags are also deleted.

POSITIONAL ARGUMENTS

    IMAGE_NAME [IMAGE_NAME ...]
        The fully qualified name(s) of image(s) to delete. The name(s) should be formatted as *.gcr.io/project_id/image_path@sha256:<digest> or *.gcr.io/project_id/image_path[:<tag>].

FLAGS

    --force-delete-tags
        If there are tags pointing to an image to be deleted then they must all be specified explicitly, or this flag must be specified, for the command to succeed.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
Deletes the image (and tags) from the input IMAGE_NAME:
    $ gcloud container images delete <IMAGE_NAME>